IOSS 2.0

Public Member Functions | Public Attributes | Friends | List of all members
Ioss::ZoneConnectivity Struct Reference

`#include <Ioss_ZoneConnectivity.h>`

## Public Member Functions
| ZoneConnectivity (const std::string name, int owner_zone, const std::string donor_name, int donor_zone, const Ioss::IJK_t p_transform, const Ioss::IJK_t range_beg, const Ioss::IJK_t range_end, const Ioss::IJK_t donor_beg, const Ioss::IJK_t donor_end, const Ioss::IJK_t owner_offset=IJK_t(), const Ioss::IJK_t donor_offset=IJK_t())
| ZoneConnectivity (const std::string name, int owner_zone, const std::string donor_name, int donor_zone, const Ioss::IJK_t p_transform, const Ioss::IJK_t range_beg, const Ioss::IJK_t range_end, const Ioss::IJK_t donor_beg, const Ioss::IJK_t donor_end, bool owns_nodes, bool from_decomp)
| ZoneConnectivity (const ZoneConnectivity &copy_from)=default
size_t | get_shared_node_count () const
bool | is_valid () const
bool | has_faces () const
std::array< INT, 9 > | transform_matrix () const
Ioss::IJK_t | transform (const Ioss::IJK_t &index_1) const
Ioss::IJK_t | inverse_transform (const Ioss::IJK_t &index_1) const
std::vector< int > | get_range (int ordinal) const
bool | is_from_decomp () const
bool | is_active () const

## Public Attributes
std::string | m_connectionName
std::string | m_donorName
Ioss::IJK_t | m_transform
Ioss::IJK_t | m_ownerRangeBeg {}
Ioss::IJK_t | m_ownerRangeEnd {}
Ioss::IJK_t | m_ownerOffset {}
Ioss::IJK_t | m_donorRangeBeg {}
Ioss::IJK_t | m_donorRangeEnd {}
Ioss::IJK_t | m_donorOffset {}
size_t | m_ownerGUID {}
size_t | m_donorGUID {}
int | m_ownerZone {}
int | m_donorZone {}
int | m_ownerProcessor {-1}
int | m_donorProcessor {-1}
bool | m_sameRange {false}
bool | m_ownsSharedNodes {false}
bool | m_fromDecomp {false}
bool | m_isActive {true}

## Friends
std::ostream & | operator<< (std::ostream &os, const ZoneConnectivity &zgc)

## Constructor & Destructor Documentation

## ◆ ZoneConnectivity() [1/3]

Ioss::ZoneConnectivity::ZoneConnectivity | ( | const std::string | name,
|  | int | owner_zone,
|  | const std::string | donor_name,
|  | int | donor_zone,
|  | const Ioss::IJK_t | p_transform,
|  | const Ioss::IJK_t | range_beg,
|  | const Ioss::IJK_t | range_end,
|  | const Ioss::IJK_t | donor_beg,
|  | const Ioss::IJK_t | donor_end,
|  | const Ioss::IJK_t | owner_offset = `IJK_t()`,
|  | const Ioss::IJK_t | donor_offset = `IJK_t()`
| ) |  |
| inline

## ◆ ZoneConnectivity() [2/3]

Ioss::ZoneConnectivity::ZoneConnectivity | ( | const std::string | name,
|  | int | owner_zone,
|  | const std::string | donor_name,
|  | int | donor_zone,
|  | const Ioss::IJK_t | p_transform,
|  | const Ioss::IJK_t | range_beg,
|  | const Ioss::IJK_t | range_end,
|  | const Ioss::IJK_t | donor_beg,
|  | const Ioss::IJK_t | donor_end,
|  | bool | owns_nodes,
|  | bool | from_decomp
| ) |  |
| inline

## ◆ ZoneConnectivity() [3/3]

Ioss::ZoneConnectivity::ZoneConnectivity | ( | const ZoneConnectivity & | copy_from | ) |
| default

## Member Function Documentation

## ◆ get_range()

std::vector< int > Ioss::ZoneConnectivity::get_range | ( | int | ordinal | ) | const

## ◆ get_shared_node_count()

size_t Ioss::ZoneConnectivity::get_shared_node_count | ( |  | ) | const
| inline

## ◆ has_faces()

bool Ioss::ZoneConnectivity::has_faces | ( |  | ) | const

## ◆ inverse_transform()

Ioss::IJK_t Ioss::ZoneConnectivity::inverse_transform | ( | const Ioss::IJK_t & | index_1 | ) | const

## ◆ is_active()

bool Ioss::ZoneConnectivity::is_active | ( |  | ) | const
| inline

## ◆ is_from_decomp()

bool Ioss::ZoneConnectivity::is_from_decomp | ( |  | ) | const
| inline

## ◆ is_valid()

bool Ioss::ZoneConnectivity::is_valid | ( |  | ) | const

## ◆ transform()

Ioss::IJK_t Ioss::ZoneConnectivity::transform | ( | const Ioss::IJK_t & | index_1 | ) | const

## ◆ transform_matrix()

std::array< INT, 9 > Ioss::ZoneConnectivity::transform_matrix | ( |  | ) | const

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ZoneConnectivity & | zgc
| ) |  |
| friend

## Member Data Documentation

## ◆ m_connectionName

std::string Ioss::ZoneConnectivity::m_connectionName

## ◆ m_donorGUID

size_t Ioss::ZoneConnectivity::m_donorGUID {}

## ◆ m_donorName

std::string Ioss::ZoneConnectivity::m_donorName

## ◆ m_donorOffset

Ioss::IJK_t Ioss::ZoneConnectivity::m_donorOffset {}

## ◆ m_donorProcessor

int Ioss::ZoneConnectivity::m_donorProcessor {-1}

## ◆ m_donorRangeBeg

Ioss::IJK_t Ioss::ZoneConnectivity::m_donorRangeBeg {}

## ◆ m_donorRangeEnd

Ioss::IJK_t Ioss::ZoneConnectivity::m_donorRangeEnd {}

## ◆ m_donorZone

int Ioss::ZoneConnectivity::m_donorZone {}

## ◆ m_fromDecomp

bool Ioss::ZoneConnectivity::m_fromDecomp {false}

## ◆ m_isActive

bool Ioss::ZoneConnectivity::m_isActive {true}

## ◆ m_ownerGUID

size_t Ioss::ZoneConnectivity::m_ownerGUID {}

## ◆ m_ownerOffset

Ioss::IJK_t Ioss::ZoneConnectivity::m_ownerOffset {}

## ◆ m_ownerProcessor

int Ioss::ZoneConnectivity::m_ownerProcessor {-1}

## ◆ m_ownerRangeBeg

Ioss::IJK_t Ioss::ZoneConnectivity::m_ownerRangeBeg {}

## ◆ m_ownerRangeEnd

Ioss::IJK_t Ioss::ZoneConnectivity::m_ownerRangeEnd {}

## ◆ m_ownerZone

int Ioss::ZoneConnectivity::m_ownerZone {}

## ◆ m_ownsSharedNodes

bool Ioss::ZoneConnectivity::m_ownsSharedNodes {false}

## ◆ m_sameRange

bool Ioss::ZoneConnectivity::m_sameRange {false}

## ◆ m_transform

Ioss::IJK_t Ioss::ZoneConnectivity::m_transform

The documentation for this struct was generated from the following files:

- src/Ioss_ZoneConnectivity.h
- src/Ioss_ZoneConnectivity.C